var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { forwardRef, } from 'react';
import hoist from '../utils/hoist';
export default function hocOverlay(WrappedComponents) {
    var Wrapper = forwardRef(function (props, ref) {
        return (React.createElement(WrappedComponents, __assign({}, __assign({ ref: ref, align: 'tl bl', shouldUpdatePosition: true, offset: [0, 4] }, props))));
    });
    hoist(Wrapper, WrappedComponents);
    return Wrapper;
}
